Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.management
Class PortletInfo

    java.lang.Object
      org.jboss.portal.portlet.management.PortletInfo

    public class PortletInfo

extends java.lang.Object

Version:
  $Revision$
Author:
  Thomas Heute

Constructor Summary
`PortletInfo()`

Method Summary
`int` | `getActionErrorCount()`
`int` | `getActionRequestCount()`
`long` | `getActionRequestProcessingTime()`
`float` | `getAverageActionTime()`
`float` | `getAverageRenderTime()`
`java.lang.String` | `getMaxActionRequestUri()`
`long` | `getMaxActionTime()`
`java.lang.String` | `getMaxRenderRequestUri()`
`long` | `getMaxRenderTime()`
`int` | `getRenderErrorCount()`
`int` | `getRenderRequestCount()`
`long` | `getRenderRequestProcessingTime()`
`boolean` | `isUsed()`
`void` | `newActionCall(long time, boolean error)`
`void` | `newRenderCall(long time, boolean error)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletInfo

    public PortletInfo()

Method Detail

### getRenderRequestProcessingTime

    public long getRenderRequestProcessingTime()

### getActionRequestProcessingTime

    public long getActionRequestProcessingTime()

### getMaxRenderTime

    public long getMaxRenderTime()

### getMaxActionTime

    public long getMaxActionTime()

### getMaxRenderRequestUri

    public java.lang.String getMaxRenderRequestUri()

### getMaxActionRequestUri

    public java.lang.String getMaxActionRequestUri()

### getAverageRenderTime

    public float getAverageRenderTime()

### getAverageActionTime

    public float getAverageActionTime()

### getRenderRequestCount

    public int getRenderRequestCount()

### getActionRequestCount

    public int getActionRequestCount()

### getRenderErrorCount

    public int getRenderErrorCount()

### getActionErrorCount

    public int getActionErrorCount()

### newRenderCall

    public void newRenderCall(long time,
                              boolean error)

### newActionCall

    public void newActionCall(long time,
                              boolean error)

### isUsed

    public boolean isUsed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.